function gadget:GetInfo()
  return {
    name      = "Tree placer",
    desc      = "Tree placer gadget",
    author    = "beherith",
    date      = "2012 jan",
    license   = "GNU GPL, v2 or later",
    layer     = 10,
    enabled   = true
  }
end


if (not gadgetHandler:IsSyncedCode()) then
  return false
end

local	SetUnitNeutral			= Spring.SetUnitNeutral
local	SetUnitBlocking			= Spring.SetUnitBlocking
local   SetUnitRotation 		= Spring.SetUnitRotation
local	SetUnitAlwaysVisible	= Spring.SetUnitAlwaysVisible
local	CreateUnit				= Spring.CreateUnit
local	CreateFeature			= Spring.CreateFeature


local trees ={}
local treecfg

if VFS.FileExists("mapconfig/trees.lua") then
	trees= VFS.Include("mapconfig/trees.lua")
	--trees= treecfg.trees
else
	Spring.Echo("missing file")
	Spring.Echo("No features loaded")
end

function gadget:Initialize()
	gaiaID=Spring.GetGaiaTeamID()
	if ( trees )	then	
		for i,uDef in pairs(trees) do
			local treeID = CreateUnit(uDef.name, uDef.x, 0, uDef.z, 0, gaiaID)
			SetUnitRotation(treeID, 0, math.random()*32768, 0)
			SetUnitNeutral(treeID,true)
			SetUnitAlwaysVisible(treeID,true)
		end
	end
	-- Spring.Echo('Puttin out trees')
	-- local tree= Spring.CreateUnit("ubtreebhi_1",2000,2000,2000,"south",Spring.GetGaiaTeamID())
	-- Spring.SetUnitAlwaysVisible(tree,true )
	-- Spring.SetUnitNeutral(tree,true )

end